Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# CORBA::ExceptionList Class Reference

ExceptionList definition taken from CORBA v2.2 Feb 1998. More...

`#include <ExceptionList.h>`

Collaboration diagram for CORBA::ExceptionList:

[legend]
List of all members.

## Public Types
typedef CORBA::ExceptionList_ptr | _ptr_type
| Useful for template programming.
typedef CORBA::ExceptionList_var | _var_type
## Public Member Functions
| ExceptionList (void)
| Constructor.
| ExceptionList (CORBA::ULong len, CORBA::TypeCode_ptr *tc_list)
| ~ExceptionList (void)
| Destructor.
CORBA::ULong | count (void)
| Return the number of elements.
ExceptionList_ptr | _duplicate (void)
| Increase the reference count.
void | _destroy (void)
void | add (CORBA::TypeCode_ptr tc)
| Add a TypeCode to the list.
void | add_consume (CORBA::TypeCode_ptr tc)
| Add and consume a TypeCode to the list.
CORBA::TypeCode_ptr | item (CORBA::ULong slot)
| Return the typecode at slot i. Raises the "Bounds" exception.
void | remove (CORBA::ULong slot)
| Remove the typecode at slot i. Raises the "Bounds" exception.
void | _incr_refcnt (void)
| Increment and decrement ref counts.
void | _decr_refcnt (void)
## Static Public Member Functions
ExceptionList_ptr | _duplicate (ExceptionList *)
| Increase the reference count in the spec defined manner.
ExceptionList_ptr | _nil (void)
## Private Member Functions
| ExceptionList (const ExceptionList &)
ExceptionList & | operator= (const ExceptionList &)
## Private Attributes
ACE_Atomic_Op< TAO_SYNCH_MUTEX, CORBA::ULong > | ref_count_
| Reference counter.
ACE_Unbounded_Queue< CORBA::TypeCode_ptr > | tc_list_
| Internal list of typecodes.

## Detailed Description

ExceptionList definition taken from CORBA v2.2 Feb 1998.

Maintains a list of TypeCodes for Exceptions.

## Member Typedef Documentation

typedef CORBA::ExceptionList_ptr CORBA::ExceptionList::_ptr_type

| Useful for template programming.

typedef CORBA::ExceptionList_var CORBA::ExceptionList::_var_type

## Constructor & Destructor Documentation

ACE_INLINE CORBA::ExceptionList::ExceptionList | ( | void |  | ) |

| Constructor.

TAO_BEGIN_VERSIONED_NAMESPACE_DECL CORBA::ExceptionList::ExceptionList | ( | CORBA::ULong | len,
|  | CORBA::TypeCode_ptr * | tc_list
| ) |

| Constructor - initialize given a length and an array of TypeCodes.

CORBA::ExceptionList::~ExceptionList | ( | void |  | ) |

| Destructor.

CORBA::ExceptionList::ExceptionList | ( | const ExceptionList & |  | ) | `[private]`

## Member Function Documentation

void CORBA::ExceptionList::_decr_refcnt | ( | void |  | ) |

void CORBA::ExceptionList::_destroy | ( | void |  | ) |

ExceptionList_ptr CORBA::ExceptionList::_duplicate | ( | ExceptionList * |  | ) | `[static]`

| Increase the reference count in the spec defined manner.

CORBA::ExceptionList_ptr CORBA::ExceptionList::_duplicate | ( | void |  | ) |

| Increase the reference count.

void CORBA::ExceptionList::_incr_refcnt | ( | void |  | ) |

| Increment and decrement ref counts.

ACE_INLINE CORBA::ExceptionList_ptr CORBA::ExceptionList::_nil | ( | void |  | ) | `[static]`

void CORBA::ExceptionList::add | ( | CORBA::TypeCode_ptr | tc | ) |

| Add a TypeCode to the list.

void CORBA::ExceptionList::add_consume | ( | CORBA::TypeCode_ptr | tc | ) |

| Add and consume a TypeCode to the list.

ACE_INLINE CORBA::ULong CORBA::ExceptionList::count | ( | void |  | ) |

| Return the number of elements.

CORBA::TypeCode_ptr CORBA::ExceptionList::item | ( | CORBA::ULong | slot | ) |

| Return the typecode at slot i. Raises the "Bounds" exception.

ExceptionList& CORBA::ExceptionList::operator= | ( | const ExceptionList & |  | ) | `[private]`

void CORBA::ExceptionList::remove | ( | CORBA::ULong | slot | ) |

| Remove the typecode at slot i. Raises the "Bounds" exception.

## Member Data Documentation

ACE_Atomic_Op<TAO_SYNCH_MUTEX, CORBA::ULong> CORBA::ExceptionList::ref_count_`[private]`

| Reference counter.

ACE_Unbounded_Queue<CORBA::TypeCode_ptr> CORBA::ExceptionList::tc_list_`[private]`

| Internal list of typecodes.

The documentation for this class was generated from the following files:

- ExceptionList.h
- ExceptionList.cpp
- ExceptionList.inl